Classes | Public Attributes | List of all members
gatts_create_db_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Server » Structures

Parameter of Added service description. More...

`#include <ble_gatts.h>`

## Classes
union | attribute_table
| < Attribute table. More...

## Public Attributes
uint16_t * | shdl
| Service start handle pointer. More...
const uint8_t * | uuid
| Service UUID pointer. More...
uint8_t * | attr_tab_cfg
| Attribute table selector pointer. More...
uint8_t | max_nb_attr
| Number of attributes in attribute table. More...
union gatts_create_db_t::attribute_table | attr_tab
| Attribute table. More...
uint16_t * | inc_srvc_handle [MAX_INC_SRVC_NUM]
| Pointer array of Included Service start handle's address. More...
uint16_t | inc_srvc_num
| Included Service number for this service. More...
uint8_t | srvc_perm
| Service permission. More...
gatts_service_type_t | attr_tab_type
| Service table type. More...

## Detailed Description

Parameter of Added service description.

Definition at line 291 of file ble_gatts.h.

## Member Data Documentation

## ◆ attr_tab

union gatts_create_db_t::attribute_table gatts_create_db_t::attr_tab

Attribute table.

## ◆ attr_tab_cfg

uint8_t* gatts_create_db_t::attr_tab_cfg

Attribute table selector pointer.

It can be set to NULL to select all items of attribute table. Each bit matches with an attribute of attribute table.
EXAMPLE:if attr_tab_cfg points to array {0x3F, 0x03}, it means that the 0.1.2.3.4.5.8.9 items of attribute table will be added to database.

Definition at line 298 of file ble_gatts.h.

## ◆ attr_tab_type

gatts_service_type_t gatts_create_db_t::attr_tab_type

Service table type.

See gatts_service_type_t.

Definition at line 311 of file ble_gatts.h.

## ◆ inc_srvc_handle

uint16_t* gatts_create_db_t::inc_srvc_handle[MAX_INC_SRVC_NUM]

Pointer array of Included Service start handle's address.

Definition at line 308 of file ble_gatts.h.

## ◆ inc_srvc_num

uint16_t gatts_create_db_t::inc_srvc_num

Included Service number for this service.

Definition at line 309 of file ble_gatts.h.

## ◆ max_nb_attr

uint8_t gatts_create_db_t::max_nb_attr

Number of attributes in attribute table.

Definition at line 302 of file ble_gatts.h.

## ◆ shdl

uint16_t* gatts_create_db_t::shdl

Service start handle pointer.

If *shdl = 0, it returns a handle using the first available handle (*shdl is modified); otherwise it verifies if the given start handle can be used to allocate handle range.

Definition at line 294 of file ble_gatts.h.

## ◆ srvc_perm

uint8_t gatts_create_db_t::srvc_perm

Service permission.

See Service Permission.

Definition at line 310 of file ble_gatts.h.

## ◆ uuid

const uint8_t* gatts_create_db_t::uuid

Service UUID pointer.

The pointer points to the Service UUID LSB.

Definition at line 297 of file ble_gatts.h.

The documentation for this struct was generated from the following file:

- ble_gatts.h